com.gisgraphy.importer.dto

## Enum AddressInclusion

- java.lang.Object
- - java.lang.Enum<AddressInclusion>
  - - com.gisgraphy.importer.dto.AddressInclusion

- All Implemented Interfaces:
    Serializable, Comparable<AddressInclusion>

      public enum AddressInclusion
      extends Enum<AddressInclusion>

  http://wiki.openstreetmap.org/wiki/Addresses#Using_Address_Interpolation_for_partial_surveys
  Author:
    David Masclet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `actual`
    `estimate`
    `potential`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AddressInclusion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AddressInclusion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### actual

          public static final AddressInclusion actual

    - #### estimate

          public static final AddressInclusion estimate

    - #### potential

          public static final AddressInclusion potential

  - ### Method Detail

    - #### values

          public static AddressInclusion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AddressInclusion c : AddressInclusion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AddressInclusion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.